websocket-sharp : WebSocketSharp.Server Namespace

# ResponseEventArgs Class

Documentation for this section has not yet been entered.

## Syntax

public class ResponseEventArgs : EventArgs

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from EventArgs.

## Public Constructors

| ResponseEventArgs (WebSocketSharp.Net.HttpListenerContext) | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | Request | WebSocketSharp.Net.HttpListenerRequest . Documentation for this section has not yet been entered.
[read-only] | Response | WebSocketSharp.Net.HttpListenerResponse . Documentation for this section has not yet been entered.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### ResponseEventArgs Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public ResponseEventArgs (WebSocketSharp.Net.HttpListenerContext context)

> #### Parameters

> > context
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Request Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketSharp.Net.HttpListenerRequest Request { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Response Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public WebSocketSharp.Net.HttpListenerResponse Response { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581